Bullet Collision Detection & Physics Library: btCollisionWorld::ClosestConvexResultCallback Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::ClosestConvexResultCallback Struct Reference

`#include <btCollisionWorld.h>`

Inheritance diagram for btCollisionWorld::ClosestConvexResultCallback:
[legend]
Collaboration diagram for btCollisionWorld::ClosestConvexResultCallback:
[legend]

## Public Member Functions
| ClosestConvexResultCallback (const btVector3 &convexFromWorld, const btVector3 &convexToWorld)
virtual btScalar | addSingleResult (LocalConvexResult &convexResult, bool normalInWorldSpace)
Public Member Functions inherited from btCollisionWorld::ConvexResultCallback
| ConvexResultCallback ()
virtual | ~ConvexResultCallback ()
bool | hasHit () const
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const

## Public Attributes
btVector3 | m_convexFromWorld
btVector3 | m_convexToWorld
btVector3 | m_hitNormalWorld
btVector3 | m_hitPointWorld
const btCollisionObject * | m_hitCollisionObject
Public Attributes inherited from btCollisionWorld::ConvexResultCallback
btScalar | m_closestHitFraction
int | m_collisionFilterGroup
int | m_collisionFilterMask

## Detailed Description

Definition at line 362 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## ◆ ClosestConvexResultCallback()

btCollisionWorld::ClosestConvexResultCallback::ClosestConvexResultCallback | ( | const btVector3 & | convexFromWorld,
|  | const btVector3 & | convexToWorld )
| inline

Definition at line 364 of file btCollisionWorld.h.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btCollisionWorld::ClosestConvexResultCallback::addSingleResult | ( | LocalConvexResult & | convexResult,
|  | bool | normalInWorldSpace )
| inlinevirtual

need to transform normal into worldspace

Implements btCollisionWorld::ConvexResultCallback.

Reimplemented in btClosestNotMeConvexResultCallback, and btKinematicClosestNotMeConvexResultCallback.

Definition at line 378 of file btCollisionWorld.h.

## Member Data Documentation

## ◆ m_convexFromWorld

btVector3 btCollisionWorld::ClosestConvexResultCallback::m_convexFromWorld

Definition at line 371 of file btCollisionWorld.h.

## ◆ m_convexToWorld

btVector3 btCollisionWorld::ClosestConvexResultCallback::m_convexToWorld

Definition at line 372 of file btCollisionWorld.h.

## ◆ m_hitCollisionObject

const btCollisionObject* btCollisionWorld::ClosestConvexResultCallback::m_hitCollisionObject

Definition at line 376 of file btCollisionWorld.h.

## ◆ m_hitNormalWorld

btVector3 btCollisionWorld::ClosestConvexResultCallback::m_hitNormalWorld

Definition at line 374 of file btCollisionWorld.h.

## ◆ m_hitPointWorld

btVector3 btCollisionWorld::ClosestConvexResultCallback::m_hitPointWorld

Definition at line 375 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h